Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82928 - dual cosole output
Summary: dual cosole output
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-28 15:59 UTC by Matthew Galgoci
Modified: 2014-03-17 02:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-22 15:41:48 UTC


Attachments (Terms of Use)

Description Matthew Galgoci 2003-01-28 15:59:34 UTC
Description of problem:

Currently, it is not possible to have both a serial console and a physical
console on tty1 at the same time.

This is very useful in the situation where you have a machine in a colo facility
with console redirection to ttyS0, but are unable to access the serial console
and have to rely on a third party at the physical console to be your eyes and
hands.

It would be really really really useful to be able to have console=ttyS0,9600
console=tty1 and have simultaneous display of kernel output to both the serial
line and the physical console of the machine.

If there is some way that this can already be done then it is not terribly 
obvious how to enable it as I've spent a fair ammount of time trying to make
this work.

Comment 1 Kambiz Aghaiepour 2003-01-28 16:22:32 UTC
A little elaboration on this... the kernel output is sent to both, but the
processes following init only send their output to the last entered "console="
arg of the kernel.  It would be nice if they wrote to both.

Kambiz



Comment 2 Matthew Galgoci 2003-01-28 16:29:46 UTC
The kernel will happily do dual console output, so I think this is more of an
init problem.

Init seems to only output to the last console specified on the command line.

It would be swell if it could support tty0 and a serial port. :)

Comment 3 Ward Fenton 2003-02-07 01:27:54 UTC
A proper kernel boot argument list and a clever use of tee (needs to be copied
to /bin/tee) will produce the desired behavior. Only noteworthy restriction is
that the console capable of input before any gettys are running will be limited
to one or the other console based on the order they are specified on the command
line.

Comment 4 Dave Jones 2004-11-27 23:21:33 UTC
Still a problem with current distros ?

Comment 5 Bill Nottingham 2005-04-20 03:20:34 UTC
Closing, no response.

Comment 6 Kambiz Aghaiepour 2005-04-22 13:59:32 UTC
Can you provide the required changed to the init scripts in order for init
output to go to all consoles specified as arguments to the kernel on boot?

Kambiz



Comment 7 Bill Nottingham 2005-04-22 14:18:27 UTC
I don't think this is possible as it currently stands in init.

Comment 8 Kambiz Aghaiepour 2005-04-22 15:36:12 UTC
Well... in that case, feel free to just close this.  It's not a critical thing
... I just didn't know if it was something we could easily accomodate. 
Otherwise, perhaps consider this as a request for enhancement.

Kambiz




Note You need to log in before you can comment on or make changes to this bug.